summaryrefslogtreecommitdiff
path: root/tests.merging/conflict-morphology-kind.script
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2012-10-29 16:02:42 +0000
committerSam Thursfield <sam.thursfield@codethink.co.uk>2012-10-29 18:19:26 +0000
commit1342bf9006f28a08d1b32dc8218717ebda701dc2 (patch)
tree0872d902b6ad4af6c4e238a28bc0c01624c62e0b /tests.merging/conflict-morphology-kind.script
parent9e4159ba97862c78a9cfa3e3816f18c708ccba5e (diff)
downloadmorph-1342bf9006f28a08d1b32dc8218717ebda701dc2.tar.gz
Split merge tests out from the other branching tests
Merge is by far the most complex of the branching and merging commands.
Diffstat (limited to 'tests.merging/conflict-morphology-kind.script')
-rwxr-xr-xtests.merging/conflict-morphology-kind.script32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests.merging/conflict-morphology-kind.script b/tests.merging/conflict-morphology-kind.script
new file mode 100755
index 00000000..d8fcc6ef
--- /dev/null
+++ b/tests.merging/conflict-morphology-kind.script
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# If morphology kind differs between branches, it's a merge conflict
+
+set -eu
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" checkout baserock:morphs master
+"$SRCDIR/scripts/test-morph" branch baserock:morphs test/unmergable
+
+cd "$DATADIR/workspace/test/unmergable/baserock:morphs"
+"$SRCDIR/scripts/test-morph" edit hello-system hello-stratum
+sed -ie 's/"kind": "stratum"/"kind": "chunk"/' hello-stratum.morph
+git commit --quiet --all -m "Unmergeable because kind has changed"
+
+cd "$DATADIR/workspace/master/baserock:morphs"
+"$SRCDIR/scripts/test-morph" merge test/unmergable